import java.awt.*;

public class Loch extends Ball implements PBElement
{
   // Konstruktor
   public Loch (int x, int y)
   {
      super(x, y, 16);
      setColor(Color.red);
   }

   // die Methoden aus dem Interface PBElement

   public void hit (Ball b)   // reagiere auf die Beruehrung von b
   {                          // der Ball verschwindet
      b.moveTo(b.x(), 9999);
   }

   public boolean intersects (Ball b)   // Ball b beruehrt das Hindernis
   {
      return b.region().intersects(location);
   }
}
